.float-right {
    float: right;
}

.float-left {
    float: left;
}

.clearfix {
    *zoom: 1;
}

.clearfix:after,
.clearfix:before {
    content: "";
    display: table;
}

.clearfix:after {
    clear: both;
}

.flex-container {
    display: flex;
    /* establish flex container */
    flex-direction: column;
    height: 100%;
    padding: 0;
    /* for demo purposes */
    margin: 0;
    /* for demo purposes */
    background-color: #eaeaea;
    /* for demo purposes */
    border: 5px solid black;
    /* for demo purposes */
    font-size: 2em;
    /* for demo purposes */
}

.flex-center {
    flex: 1;
    /* distribute all available space evenly among flex items */
    margin: 10px;
    /* for demo purposes */
    border: 2px dashed red;
    /* for demo purposes */
    display: flex;
    /* make each flex item a flex container, as well */
    align-items: center;
    /* center text vertically (in this case) */
    justify-content: center;
    /* center text horizontally (in this case) */
}